#
# spec file for package mu-conference (Version 0.8)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        Multi-User Chat for Jabber Servers

Name:           mu-conference
Version:        0.8.81
Release:        6.16
License:        GPL
Group:          Productivity/Networking/Other
Url:            http://gna.org/projects/mu-conference/
Source0:        %{name}-%{version}.tar.gz
Patch0:         mu-conference.patch
Patch1:         mu-conference-tcl.patch
Patch2:         muc-crash.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  glib2-devel libexpat-devel libidn-devel tcl-devel

%description
MU-Conference is Free software written in C language under the GPL v2
license. It is a component for a Jabber/XMPP server. It provides an
implementation of Multi-User Chat (MUC, XEP-0045). So with
MU-Conference, you can run your own Jabber chatrooms server.

%prep
%setup -q
%patch0
%patch1
%patch2 -p1

%build
. %_libdir/tclConfig.sh
make OPTFLAGS="%optflags" TCL_LIB_FLAG="$TCL_LIB_FLAG" 

%install
mkdir -m 755 -p %buildroot/usr/bin
install -m755 src/mu-conference %buildroot/usr/bin
mkdir -m750 -p %buildroot/etc/jabberd
install -m640 muc-default.xml %buildroot/etc/jabberd/mu-conference.xml
mv scripts examples

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ LICENSE README TODO XEP0045_SUPPORT
%doc examples
/usr/bin/mu-conference
%defattr(-,root,jabber,-)
%dir /etc/jabberd
%config(noreplace) /etc/jabberd/mu-conference.xml

%changelog
* Mon Feb 22 2016 max@suse.com
- Update to 0.8.81:
  * Obsoletes mu-conference-sha.patch .
- Fix Tcl initialisation for threaded builds.
- muc-crash.patch: Don't access freed memory in deliver().
- Don't strip binaries on installation to allow the building of
  debuginfo packages.
* Wed Feb 24 2010 max@suse.com
- Fix a 64bit bug in the SHA1 implementation that prevented the
  use of secrets longer than 15 characters.
* Wed May 27 2009 max@suse.de
- Version 0.8
- Improve Tcl logging
- Build everything with optflags
* Fri Jan 18 2008 max@suse.de
- Initial build.
